'FFName=Wasserzeichen
'FFSubmenu=Effekte

'(c) Harald Maeckler, Dsseldorf 2009

' ********************************************************************
' Wasserzeichen.vbs (Script fr FixFoto)
' nach einer Skriptvorlage von JKS am 19.07.2009
'
' Funktion:	Bild mit sich wiederholendem Text berlagern.
'			Text, Textfarbe, Schriftart, Schriftschnitt, Schriftstrke, Schriftgre, Transparenz
'			und Varianten der Verteilung mit diversen Faktoren knnen gewhlt werden.
'			Eine Vorschau erlaubt die Kontrolle der Einstellungen.
'
' Version 2.05 vom 29.07.2009	- Bildvorschau hinzu
' Version 2.04 vom 29.07.2009	- Textabstand hinzugefgt
' Version 2.03 vom 28.07.2009	- Verteilungsvarianten und Zeilenabstand hinzugefgt
' Version 2.02 vom 26.07.2009	- Transparenzeinstellung ber Schieber
' Version 2.01 vom 24.07.2009	- 'Kursiv' hinzu
' Version 2.00 vom 24.07.2009	- Name von 'Copyrightberlagerung' gendert auf 'Wasserzeichen'
' Version 1.02 vom 24.07.2009	- Schriftgrenbereich gendert
' Version 1.01 vom 23.07.2009	- Lschroutine hinzu
' Version 1.00 vom 22.07.2009	- Betaversion
'
'** Start Kurzbeschreibung *******************************************
'
' Wasserzeichen / Version 2.05
' ==================
' Das Skript berlagert das aktive Bild mit sich wiederholendem Text.
'
' Text, Textfarbe, Schriftart, Schriftstrke, Schriftgre und Transparenz knnen frei gewhlt
' werden. Der Schriftschnitt 'kursiv' kann ein- und ausgeschaltet werden.
' Bei der Verteilung sind verschiedene Varianten aktivierbar. Dabei bedeutet die Ziffer hinter
' "verschoben um" den Faktor zur Textlnge. Bei Beginn jeder neuen Zeile wird der Text um Faktor
' mal Textlnge verschoben.
' Der Zeilenabstand kann als Faktor zur Schrifthhe und der Textabstand als Faktor zur Textlnge
' gewhlt werden.
' Alle Einstellungen werden gespeichert und stehen beim nchsten Aufruf wieder zur Verfgung.
'
' Beim Start des Skript wird mit den zuletzt abgespeicherten Einstellungen ein Vorschaubild erzeugt
' und angezeigt. ndert man jetzt Werte, knnen die Auswirkungen durch Mausklick auf 'Vorschau'
' oder auf das Vorschaubild kontrolliert werden. Bitte Achtung bei der Verteilung 'zufllig'; bei 
' Start wird erneut der Zufallsgenerator gestartet.
'
' Hinweis
' ---------
' Die Eintragung des Text dauert umso lnger, je kleiner Schriftgre, Zeilenabstand, Textabstand
' und umso grer die Bildauflsung ist. Daher sollte eine geplante Verkleinerng des Bildes vor 
' Anwendung des Skripts durchgefhrt werden.
' 
' Deinstallation
' ========
' Wird die Entfernung des Skripts gewnscht, kann mit der Tastenkombination Alt + D eine 
' Lschroutine aufgerufen werden. Nach einer Sicherheitsabfrage wird berprft, ob das 
' zugehrige zip-Archiv im Skriptordner abgelegt ist. Wenn ja, wird vor dem Lschen angeboten,
' davon eine Sicherheitskopie an einem beliebigen Speicherort abzulegen. Danach werden nach-
' einander die Skriptdatei, die in der Registry dazugehrenden Daten und eventuelle Zusatz-
' dateien gelscht. Abschlieend wird die FixFotoScript.ini bereinigt.
' Nach manueller Durchfhrung einer 'Automatischen Skriptkonfiguration' ist das Skript mit 
' allen Komponenten aus der FixFoto-Umgebung entfernt.
'
' Benutzung des Skripts auf eigene Gefahr!
'
' Copyright Harald Maeckler
'** Ende Kurzbeschreibung ********************************************

Option Explicit

const SkriptName = "Wasserzeichen.vbs"			'Skriptname

Dim Kurzbeschreibung, KBvorhanden, LaengeMax, Abbruch		'Kurzbeschreibung
const ForReading = 1, ForWriting = 2, ForAppending = 8		'FileSystemObject muss angelegt werden

Dim SkriptKill,Antwort,TempFile								'Lschroutine
const RegSchluessel = "FF_Wasserzeichen"			'Name wird aus Version 1.xx beibehalten

Dim Text,Schrift,Farbe,SchriftHoehe,SchriftStaerke,Textbreite,Texthoehe,Transparenz
Dim Bildbreite,Bildhoehe,x,y
Dim FarbFaktor,FarbWert,StaerkeFaktor,HoeheFaktor,TFaktor,Italic

const Verteilung = "geordnet-verschoben um 1/1-verschoben um 1/2-verschoben um 1/3-verschoben um 1/4-zufllig"
Dim Verteilart,Verschiebefaktor

const Zeilenabstand ="1,0-1,5-2,0-2,5-3,0-3,5-4,0"
Dim Zeilenfaktor

const Textabstand = "1/1-1/2-1/3-1/4-1/5-1/6-1/7-1/8"
Dim TAbstand,TextDivisor

Dim PopZaehler

Dim objFS,WshShell											'Objekte

'---------------------------------------------------------------------
call main
'---------------------------------------------------------------------
sub main
Dim Array,element

Set objFS = CreateObject("Scripting.FileSystemObject")
Set WshShell = CreateObject("WScript.Shell")

on error resume next									'Kontrolle ob Skript in FF-Umgebung gestartet wurde
	Bildbreite = FF_GetImageWidth()	'Breite
 	if Err.Number = 500 then
		msgbox "Das Skript funktioniert nur in der Programmumgebung von FixFoto!",vbCritical,"Abbruch"
		exit sub
	end if
on error goto 0

if Bildbreite = 0 then
	msgbox "Kein Bild geladen oder markiert!",vbCritical,"Abbruch"
	exit sub
end if

Bildhoehe = FF_GetImageHeight()
PopZaehler = false : Abbruch = false

'** Start Dialog Wasserzeichen **
FF_AddDialog "Wasserzeichen",338,190
FF_AddControl "Wasserzeichen","Einstellungen","GROUP",8,8,142,148
FF_AddControl "Wasserzeichen","Wasserzeichen-Text","STATIC",13,18,55,10
FF_AddControl "Wasserzeichen","","BUTTON",13,28,10,10
FF_AddControl "Wasserzeichen","CText","SLEDIT",26,28,73,10
FF_AddControl "Wasserzeichen","Textfarbe","STATIC",110,18,36,10
FF_AddControl "Wasserzeichen","TFarbe","COLOR",110,27,36,12
FF_AddControl "Wasserzeichen","Schriftart","STATIC",13,43,40,10
FF_AddControl "Wasserzeichen","TSchrift","FONT",13,53,88,12
FF_AddControl "Wasserzeichen","Schriftschnitt","STATIC",110,43,33,10
FF_AddControl "Wasserzeichen","flagKursiv","BOOL",110,56,8,8
FF_AddControl "Wasserzeichen","kursiv","STATIC",122,54,22,12
FF_AddControl "Wasserzeichen","Schriftstrke","STATIC",13,69,63,10
FF_AddControl "Wasserzeichen","TStrke","HSLIDER",13,77,62,20
FF_AddControl "Wasserzeichen","1     2    3    4    5     6","STATIC",19,99,60,11
FF_AddControl "Wasserzeichen","Schriftgre","STATIC",80,69,66,10
FF_AddControl "Wasserzeichen","TGre","HSLIDER",79,77,62,20
FF_AddControl "Wasserzeichen","1     2    3    4    5     6|","STATIC",85,99,60,11
FF_AddControl "Wasserzeichen","Transparenz","STATIC",13,110,36,10
FF_AddControl "Wasserzeichen","TFaktor","HSLIDER",13,118,62,20
FF_AddControl "Wasserzeichen","1     2    3    4    5     6||","STATIC",19,139,60,11
FF_AddControl "Wasserzeichen","Verteilung","STATIC",80,110,36,10
FF_AddControl "Wasserzeichen","Verteilart","COMBO",80,119,66,12
FF_AddControl "Wasserzeichen","Abstandsfaktoren","STATIC",80,132,67,10
FF_AddControl "Wasserzeichen","Zeile","STATIC",80,141,13,10
FF_AddControl "Wasserzeichen","ZFaktor","COMBO",92,141,20,11
FF_AddControl "Wasserzeichen","Text","STATIC",114,141,13,10
FF_AddControl "Wasserzeichen","TAFaktor","COMBO",126,141,20,11
FF_AddControl "Wasserzeichen","Fortschritt","PROGRESS",7,160,143,5
FF_AddControl "Wasserzeichen","?","BUTTON",13,171,11,11
FF_AddControl "Wasserzeichen","Vorschau","BUTTON",52,171,33,11
FF_AddControl "Wasserzeichen","Start","BUTTON",113,171,33,11
FF_AddControl "Wasserzeichen","Vorschaubild","IMAGE",159,11,170,170
FF_AddControl "Wasserzeichen","&d","BUTTON",5,5,1,1
'** End Dialog Wasserzeichen **

Array = split(Verteilung,"-")
for each element in Array
	FF_SetControl "Wasserzeichen","Verteilart",element
next

Array = split (Zeilenabstand,"-")
for each element in Array
	FF_SetControl "Wasserzeichen","ZFaktor",element
next

Array = split (Textabstand,"-")
for each element in Array
	FF_SetControl "Wasserzeichen","TAFaktor",element
next

'call RegistryLesen
call Vorschau ("R")	'R bedeutet Registry lesen

FF_ActivateControl "Wasserzeichen","&d"

do
	Select Case FF_ShowDialog ("Wasserzeichen")
	Case "&d"
		Abbruch = false
		SkriptKill = false
		Antwort = msgbox("Soll das Skript " & SkriptName & vbNewline & _
						 "mit allen dazugehrigen Komponenten wirklich gelscht werden?", _
						 vbYesNo + vbQuestion,"Sicherheitsabfrage")
		if Antwort = vbYes then
			SkriptKill = true
			exit do
		end if
	Case ""
		Text = " " & FF_GetControl("Wasserzeichen","CText")
		FF_SetControl "Wasserzeichen","CText",Text
	Case "?"
		'FF_SetControl "Wasserzeichen","Fortschritt",4/10*100	'nur fr Screenshot
		Abbruch = false
		if not KBvorhanden then	call KurzbeschreibungLesen
		if KBvorhanden then
			call KurzbeschreibungAnzeigen
		else
			msgbox "Keine Kurzbeschreibung gefunden!",vbExclamation,"Meldung"
		end if
	Case "Start"
		if PopZaehler then FF_PopImage()
		PopZaehler = false
		Abbruch = false
		call WerteAuslesen
		if not Abbruch then
			call Wasserzeichen
			exit do
		end if
	Case "Vorschau","Vorschaubild"
		Abbruch = false
		'call WerteAuslesen
		if not Abbruch then	
			call Vorschau ("W")	'Werte aus Dialog lesen
		end if
	Case "CANCEL"
		exit do
	Case Else
	End Select
loop

call RegistrySchreiben
FF_CloseDialog ("Wasserzeichen")
if SkriptKill then call KillSkript	'ggf. Skript komplett entfernen

End Sub
'---------------------------------------------------------------------
Sub WerteAuslesen
Dim n,Max,Min

'Text
Text = FF_GetControl("Wasserzeichen","CText")
if Text = "" then
	msgbox "Es wurde kein Wasserzeichen-Text eingegeben!",,"Hinweis"
	Abbruch = true
	exit sub
end if

'Textfarbe
FarbFaktor = FF_GetControl("Wasserzeichen","TFarbe")
FarbWert = split(FarbFaktor," ")			'Berechnung von colorref
Farbe = FarbWert(0) * 1 + FarbWert(1) * (2^8) + FarbWert(2) * (2^16)

'Schriftart
Schrift = FF_GetControl("Wasserzeichen","TSchrift")

'Schriftschnitt
Italic = FF_GetControl("Wasserzeichen","flagKursiv") * -1

'Transparenz
Max = 32
Min = 255
TFaktor = FF_GetControl("Wasserzeichen","TFaktor")
Transparenz = Int(TFaktor * (Max-Min)/255+Min)

'Schriftstrke
Max = 1000	'max. Schriftstrke (1 - 1000)
Min =  100	'min. Schriftstrke (1 - 1000)
StaerkeFaktor = FF_GetControl("Wasserzeichen","TStrke")
SchriftStaerke = Int(StaerkeFaktor * (Max-Min)/255+Min)

'Schriftgre
Max = Bildhoehe / 6
Min = Bildhoehe / 50
HoeheFaktor = FF_GetControl("Wasserzeichen","TGre")
SchriftHoehe = Int(HoeheFaktor * (Max-Min)/255+Min)

'Transparenz
Max = 32
Min = 255
TFaktor = FF_GetControl("Wasserzeichen","TFaktor")
Transparenz = Int(TFaktor * (Max-Min)/255+Min)

'Verteilung
Verteilart = FF_GetControl ("Wasserzeichen","Verteilart")
if instr(Verteilart,"verschoben um") > 0 then
	Verschiebefaktor = right(Verteilart,1)
else
	Verschiebefaktor = 1
end if

'Zeilenabstand
Zeilenfaktor = FF_GetControl ("Wasserzeichen","ZFaktor")

'Textabstand
TAbstand = FF_GetControl ("Wasserzeichen","TAFaktor")
TextDivisor = right(TAbstand,1)

End Sub
'---------------------------------------------------------------------
Sub Wasserzeichen
Dim n,a,b,s
Dim Verschiebung  : Verschiebung  = 1 / Verschiebefaktor
Dim TLaenge,TUrsprung,TBreite

Randomize

Textbreite = FF_GetTextWidth(Text,SchriftHoehe,SchriftStaerke,Italic,false,Schrift)
Texthoehe = FF_GetTextHeight(Text,SchriftHoehe,SchriftStaerke,Italic,false,Schrift)

TUrsprung = Text

FF_AreaFillRect 0,0,Bildbreite,Bildhoehe,Transparenz

a = Bildbreite / (Textbreite + Textbreite/TextDivisor) + 1	'Textwiederholungen in der Zeile
b = Bildhoehe / (Texthoehe * Zeilenfaktor)					'Anzahl der Zeilen
s = int(a * b) : if s < 1 then s = 1						'Schritte gesamt geschtzt

if Verteilart = "zufllig" then
	x = 0 : y = 0
	TLaenge = Int(rnd * len(Text) +1)
	Text = right(Text,TLaenge)
elseif instr(Verteilart,"verschoben um 1/") > 0 then
	x = 0 : y = 0
	Verschiebung = Int(len(Text) * Verschiebung)
	Text = right(Text,TLaenge)	
else
	x = Texthoehe : y = Texthoehe
end if

Textbreite = FF_GetTextWidth(Text,SchriftHoehe,SchriftStaerke,Italic,false,Schrift)
TBreite = Textbreite

do
	n = n + 1
	FF_SetControl "Wasserzeichen","Fortschritt",n/s*100

	FF_DrawText Text,x,y,SchriftHoehe,0,SchriftStaerke,Italic,false,Schrift,Farbe
	Text = TUrsprung
	Textbreite = FF_GetTextWidth(Text,SchriftHoehe,SchriftStaerke,false,false,Schrift)
	x = x + TBreite + Textbreite/TextDivisor
	TBreite = Textbreite
	
	if x > Bildbreite then
		if Verteilart = "zufllig" then
			TLaenge = Int(rnd * len(Text) +1)
			Text = right(Text,TLaenge)
			Textbreite = FF_GetTextWidth(Text,SchriftHoehe,SchriftStaerke,false,false,Schrift)
			TBreite = Textbreite
			x = 0
		elseif instr(Verteilart,"verschoben um 1/") > 0 then
			TLaenge = TLaenge + Verschiebung
			if TLaenge > len(Text) then TLaenge = 0
			Text = right(Text,TLaenge)
			Textbreite = FF_GetTextWidth(Text,SchriftHoehe,SchriftStaerke,false,false,Schrift)
			TBreite = Textbreite
			x = 0		
		else
			x = Texthoehe
		end if
		y = y + Texthoehe * Zeilenfaktor	'Zeilenabstand = Texthhe x Zeilenfaktor
	end if
	if y > Bildhoehe then exit do
loop

FF_Reload
FF_SetControl "Wasserzeichen","Fortschritt",0

End Sub
'---------------------------------------------------------------------
Sub KurzbeschreibungAnzeigen

Dim Taste
Dim Breite	: Breite = LaengeMax * 2.6 + 15
const Hoehe = 180

const ES_READONLY = 2048
const WS_VSCROLL = 2097152

FF_AddDialog "Kurzbeschreibung",Breite,Hoehe
FF_AddControl "Kurzbeschreibung","Beschreibung","EDIT",0,0,Breite,Hoehe-20
FF_SetControlStyle "Kurzbeschreibung","Beschreibung", ES_READONLY + WS_VSCROLL
FF_AddControl "Kurzbeschreibung","OK","BUTTON",Breite/2-15,Hoehe-15,30,10

FF_SetControl "Kurzbeschreibung","Beschreibung",Kurzbeschreibung

do
	Taste = FF_ShowDialog("Kurzbeschreibung")
	if Taste = "CANCEL" or Taste = "OK" then exit do
loop
call FF_CloseDialog("Kurzbeschreibung")

End Sub
'------------------------------------------------------------------------
Sub KurzbeschreibungLesen
on error resume next
Const ForReading = 1
Dim Skript, Anfang, Ende, Zeile

Set Skript = objFS.OpenTextFile(FF_GetScriptPath & "\" & SkriptName, ForReading, False)

if err.number = 53 then
	msgbox "Wahrscheinlich wurde der Originalskriptname " & """" & SkriptName & """" & " abgendert." & vbNewLine & _
		   "Die Kurzbeschreibung kann daher nicht angezeigt werden.",vbExclamation,"Meldung"
	Abbruch = True
	exit sub
end if

Do While Skript.AtEndOfStream <> True
	Zeile = Skript.ReadLine
	
	if instr(Zeile,"** Ende Kurzbeschreibung") > 0 then Ende = true
	if Ende then exit do
	
	if Anfang then Kurzbeschreibung = Kurzbeschreibung & mid(Zeile,2) & vbNewLine
	if len(Zeile)-1 > LaengeMax then LaengeMax = len(Zeile)-1
	
	if instr(Zeile,"** Start Kurzbeschreibung") > 0 then Anfang = true
	
Loop
	
if Anfang and Ende then KBvorhanden = true
Skript.Close

End Sub
'------------------------------------------------------------------------
Sub RegistryLesen
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel
Dim Max,Min

'### Werte auslesen
'Text
Text = FF_GetProfile(RegSchluessel,"Text")
if Text = "" then Text = " Mustermann"

'Textfarbe
FarbFaktor = FF_GetProfile(RegSchluessel,"FarbFaktor")
if FarbFaktor = "" then FarbFaktor = "000 000 000"
FarbWert = split(FarbFaktor," ")			'Berechnung von colorref
Farbe = FarbWert(0) * 1 + FarbWert(1) * (2^8) + FarbWert(2) * (2^16)

'Schriftart
Schrift = FF_GetProfile(RegSchluessel,"Schrift")
if Schrift = "" then Schrift = "Arial"

'Schriftschnitt
Italic = FF_GetProfile(RegSchluessel,"Italic")
if Italic = "" then Italic = 0

'Schriftstrke
Max = 1000	'max. Schriftstrke (1 - 1000)
Min =  100	'min. Schriftstrke (1 - 1000)
StaerkeFaktor = FF_GetProfile(RegSchluessel,"StaerkeFaktor")
if StaerkeFaktor = "" then StaerkeFaktor = 100
SchriftStaerke = Int(StaerkeFaktor * (Max-Min)/255+Min)

'Schriftgre
Max = Bildhoehe / 6
Min = Bildhoehe / 50
HoeheFaktor = FF_GetProfile(RegSchluessel,"HoeheFaktor")
if HoeheFaktor = "" then HoeheFaktor = 30
SchriftHoehe = Int(HoeheFaktor * (Max-Min)/255+Min)

'Transparenz
Max = 32
Min = 255
TFaktor = FF_GetProfile(RegSchluessel,"TFaktor")
if TFaktor = "" or not IsNumeric(TFaktor) then TFaktor = 128
Transparenz = Int(TFaktor * (Max-Min)/255+Min)

'Verteilung
Verteilart = FF_GetProfile(RegSchluessel,"Verteilart")
if Verteilart = "" then Verteilart = "verschoben um 1/1"
if instr(Verteilart,"verschoben um") > 0 then
	Verschiebefaktor = right(Verteilart,1)
else
	Verschiebefaktor = 1
end if

'Zeilenabstand
Zeilenfaktor = FF_GetProfile(RegSchluessel,"Zeilenfaktor")
if Zeilenfaktor = "" then Zeilenfaktor = "2.0"

'Textabstand
TAbstand = FF_GetProfile(RegSchluessel,"TAbstand")
if TAbstand = "" then TAbstand = "1/3"
TextDivisor = right(TAbstand,1)

'Werte eintragen
FF_SetControl "Wasserzeichen","CText",Text
FF_SetControl "Wasserzeichen","TSchrift",Schrift
FF_SetControl "Wasserzeichen","TFarbe",FarbFaktor
FF_SetControl "Wasserzeichen","TFaktor",TFaktor
FF_SetControl "Wasserzeichen","TStrke",StaerkeFaktor
FF_SetControl "Wasserzeichen","TGre",HoeheFaktor
FF_SetControl "Wasserzeichen","flagKursiv",Italic
FF_SetControl "Wasserzeichen","Verteilart",Verteilart
FF_SetControl "Wasserzeichen","ZFaktor",Zeilenfaktor
FF_SetControl "Wasserzeichen","TAFaktor",TAbstand

End Sub
'------------------------------------------------------------------------
Sub RegistrySchreiben
'Schlsselname = HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\ & RegSchluessel

'Werte auslesen
call WerteAuslesen

'Werte schreiben
FF_WriteProfile RegSchluessel,"Text",Text
FF_WriteProfile RegSchluessel,"Schrift",Schrift
FF_WriteProfile RegSchluessel,"FarbFaktor",FarbFaktor
FF_WriteProfile RegSchluessel,"TFaktor",TFaktor
FF_WriteProfile RegSchluessel,"StaerkeFaktor",StaerkeFaktor
FF_WriteProfile RegSchluessel,"HoeheFaktor",HoeheFaktor
FF_WriteProfile RegSchluessel,"Italic",Italic
FF_WriteProfile RegSchluessel,"Verteilart",Verteilart
FF_WriteProfile RegSchluessel,"Zeilenfaktor",Zeilenfaktor
FF_WriteProfile RegSchluessel,"TAbstand",TAbstand

End Sub
'------------------------------------------------------------------------
Sub KillSkript
'Skript mit allen Komponenten entfernen

Dim SPfad

'### FixFotoScript.ini bereinigen
TempFile = FF_GetFFPathEx(1) & "\FixFotoScript.ini"
if objFS.FileExists(TempFile) then
	call IniBereinigung
	if Abbruch then exit sub
else
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht gefunden werden." & vbNewLine & _
			"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	exit sub
end if

'### zip-Archiv auf Wunsch sichern, dann lschen
TempFile = FF_GetScriptPath & "\" & objFS.GetBaseName(Skriptname) & ".zip"
if objFS.FileExists(TempFile) then
	Antwort = msgbox("Soll das Archiv " & objFS.GetBaseName(Skriptname) & ".zip" & _
			 " gesichert werden?",vbYesNo + vbQuestion,"Sicherheitskopie")
	if Antwort = vbYes then
		SPfad = FF_EnterPath(true,"Wo soll die Sicherheitskopie angelegt werden?")
		if SPfad = "" then
			msgbox "Das Lschen des Skripts wird abgebrochen!",vbExclamation,"Hinweis"
			exit sub
		end if
		SPfad = SPfad & "\" & objFS.GetBaseName(Skriptname) & ".zip"
		objFS.CopyFile Tempfile, SPfad, true
	end if
	objFS.DeleteFile TempFile,true
end if

'### Skriptdatei lschen
TempFile = FF_GetScriptPath & "\" & Skriptname
objFS.DeleteFile TempFile,true

'### evtl. beigepackte bzw. erzeugte Dateien und Ordner lschen
'TempFile = FF_GetScriptPath & "\Beipack.txt"		'Dateibeispiel
'if objFS.FileExists(TempFile) then objFS.DeleteFile TempFile,true

'TempFile = FF_GetScriptPath & "\BeipackSammlung"	'Ordnerbeispiel
'if objFS. FolderExists (TempFile) then objFS. DeleteFolder TempFile,true

'### Registry-Daten lschen
TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & RegSchluessel & "\"
WshShell.RegDelete(TempFile)

TempFile = "HKEY_CURRENT_USER\Software\Joachim Koopmann Software\FixFoto\Script\" & "FF_CopyrightUeberlagerung" & "\"
on error resume next
WshShell.RegDelete(TempFile)	'ggf. ursprnglichen Registryeintrag von Version 1.xx lschen
on error goto 0

'### Fertigmeldung
msgbox "Nach Durchfhrung der 'Automatischen Skriptkonfiguration' ist das Skript" & vbNewLine & _
		Skriptname & " mit allen Komponenten gelscht!",vbExclamation,"Hinweis"
End Sub
'------------------------------------------------------------------------
Sub IniBereinigung
'FixFotoScript.ini - Bereinigung

Dim Zeile, zNr,Anfang, Ende, DateiTmp, ZielZeile, tmpString
DateiTmp =  FF_GetFFPathEx(1) & "\FixFotoScript.tmp"

'### Wo befindet sich der Eintrag zum Skript?
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if tmpString = "[Script]" then Anfang = zNr
	if tmpString = "File=.\" & Skriptname then
		Ende = zNr
		exit do	
	end if
loop 
Zeile.Close

if Ende <= Anfang then
	msgbox 	"Die Datei FixFotoScript.ini konnte nicht bereinigt werden." & vbNewLine & _
		"Der Lschvorgang wird abgebrochen!",vbExclamation,"Hinweis"
	Abbruch = true
	exit sub
end if

'### Zeilen ohne skriptbezogene Zeilen in DateiTmp bertragen
Set Zeile = objFS.OpenTextFile(TempFile, ForReading)
Set ZielZeile  = objFS.CreateTextFile(DateiTmp, True)

zNr = 0
do Until Zeile.AtEndOfStream
	tmpString = Zeile.ReadLine
	zNr = zNr + 1
	if zNr < Anfang or zNr > Ende then
		ZielZeile.WriteLine tmpString
	end if
loop 

Zeile.Close
ZielZeile.Close

'### Umkopieren von DateiTmp nach FixFotoScript.ini (TempFile)
objFS.CopyFile DateiTmp, TempFile, True
objFS.DeleteFile (DateiTmp)

End Sub
'------------------------------------------------------------------------
Sub Vorschau (Auswahl)
'### Vorschaubild mit verkleinertem Bild
Dim KBreite,KHoehe

if PopZaehler then FF_PopImage()
PopZaehler = false

'Zustand sichern
FF_PushImage()
PopZaehler = true
KBreite = Bildbreite
KHoehe = Bildhoehe

'skalieren
FF_HQScale 300,300, true
Bildbreite = FF_GetImageWidth()		'Abmessungen der Verkleinerung
Bildhoehe  = FF_GetImageHeight()

'Wasserzeichen eintragen und dann Vorschau anzeigen
if Auswahl = "R" then
	call RegistryLesen
else
	call WerteAuslesen
end if

if not Abbruch then
	call Wasserzeichen
	FF_SetControl "Wasserzeichen","Vorschaubild",0
end if

'Zustand wiederherstellen
Bildbreite = KBreite
Bildhoehe = KHoehe

End Sub
'------------------------------------------------------------------------
